using System.Collections.Generic;
using MessagePack;
#if GameClient
using GameFramework;
#endif

namespace GameMessage
{
    [Message(MessageCode.ClubPartnerStatisticsRequest)]
    [MessagePackObject]
    public class ClubPartnerStatisticsRequest : MessageData
    {
        [Key(0)]
        public int ClubId;

        [Key(1)]
        public long Start;

        [Key(2)]
        public long End;

#if GameClient
        public static ClubPartnerStatisticsRequest Create(int clubId,long start,long end)
        {
            ClubPartnerStatisticsRequest request = ReferencePool.Acquire<ClubPartnerStatisticsRequest>();
            request.ClubId = clubId;
            request.Start = start;
            request.End = end;
            return request;
        }
#endif
    }
    
    [Message(MessageCode.ClubPartnerStatisticsResponse)]
    [MessagePackObject]
    public class ClubPartnerStatisticsResponse : MessageData
    {
        [Key(0)]
        public int ClubId;
        
        [Key(1)]
        public List<ClubPartnerMemberInfo> PartnerMemberInfos;
    }
}